Bug 835825 - Can't do threaddump success for scalable ruby1.8 and ruby1.9 application
Can't do threaddump success for scalable ruby1.8 and ruby1.9 application
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 04:24 EDT by Rony Gong
Modified: 2015-05-14 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 20:18:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-06-27 04:24:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):
devenv_1864

How reproducible:
always

Steps to Reproduce:
1.create scalable ruby1.9/ruby1.8 application
2.after created, access it's page
3.then do threaddump.
  
Actual results:
[root@localhost ~]# rhc-ctl-app  -c threaddump -a qsruby19
Password: 
RESULT:
Success

The thread dump file will be available via: rhc app tail -a 4a09dc4fe1 -f 4a09dc4fe1/logs/error_log-20120627-000000-EST -o '-n 250'
 Application is inactive. Ruby/Rack applications must be accessed by their URL (http://qsruby19-qgong3.dev.rhcloud.com) before you can take a thread dump.

Expected results:
The thread dump file will be available via: rhc app tail -a qsruby19 -f qsruby19/ruby-1.9/standalone/tmp/qsruby19.log -o '-n 250'



Additional info:
Comment 1 Ram Ranganathan 2012-06-28 20:18:07 EDT
There's a lot of functionality that the scalable apps need to support -- threaddump is just a single part of that -- need support for threaddump, tidy, tail_logs and port-forward.  

Created a user story for this: US 2501.

Note You need to log in before you can comment on or make changes to this bug.